Documentation Index
Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
- An employee’s compensation is hourly (for example,
payment_unitis set to “Hour”) AND - The employee’s job would be susceptible to not making minimum wage, in particular employees who receive tips.
-
Call GET /v1/employees/{employee_id}/work_addresses to retrieve the correct minimum wage options for where a given employee works.
Example request:
-
In the response, find the
location_uuidfor the work address that is currently active (activeis set to “true”), as you’ll use this in the next step. Here’s an example response: -
Call GET /v1/locations/{location_uuid}/minimum_wages using the
location_uuidfrom the previous step. Example request:Example response: - Build a checkbox labeled “Adjust for minimum wage.” When a user selects this checkbox, surface the minimum wage options returned from the previous request as options in your application’s UI for users to choose from.
-
You would then make an API request with the boolean field
adjust_for_minimum_wageset to true in the body params. You could make a call either to POST /v1/jobs/{job_id}/compensations if this is a brand new compensation, or to PUT /v1/compensations/{compensation_id} if you’re adjusting a compensation that already exists. Example request:Example response: -
Make sure you have logic that surfaces the proper error to the user. For example, we’d return an error like the following if a minimum wage adjustment isn’t available in the given location (such as in California):
Where to find adjusted earnings
After the compensation has been adjusted, the adjusted earnings will show in"fixed_compensations" for the employee when running payroll once the payroll is calculated.
The "fixed_compensations" array will be in the responses for both the PUT /v1/companies/{company_id}/payrolls/{payroll_id}/prepare and PUT /v1/companies/{company_id}/payrolls/{payroll_id} endpoints, and look like the following:
Manage jobs and compensation Configure employee tax information